Skip to content

Available Disciplines

INFO

In order to use Service-to-Service API you need to request access from your account manager and provide a list of your backend's public IPs.

With this method, you can get a list of available Disciplines.

POST https://{S2S_API_URL}/content/disciplines

Headers

INFO

NOTE: This request requires you to generate a sign and pass it as x-sign-jws header. Please read request signing section for more details about the topic.

Content-Type: application/json
x-sign-jws: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..UXwjHxU3tFlrzPMupG04zROiEcHFQpCg3l7J4Axr1fE

Request parameters

Request payload example:

json
{ "cid": "example" }
ParameterTypeDescription
cidstringPartner API Key.

Response format

json
{
  "data": {
    "availableDisciplines": [
      {
        "id": "efootball",
        "name": "eFootball"
      },
      {
        "id": "ebasketball",
        "name": "eBasketball"
      },
      {
        "id": "etennis",
        "name": "eTennis"
      },
      {
        "id": "ehockey",
        "name": "eHockey"
      }
    ]
  }
}

The table below describes the response:

ParameterTypeDescription
availableDisciplines.idstringDiscipline id.
availableDisciplines.namestringDiscipline name.